Jump to main content

# Renumbering Data Fields

Occasionally, you may find it necessary to renumber your data IDs. If you number your fields sequentially on your form, you may find it more efficient to renumber them all at once. You can select a specific group of fields to renumber, or you can renumber all data fields on a page or all data fields on the form. When you renumber by page, inline fields and data fields must be renumbered separately. When you renumber the entire form, all fields, including inline fields, will be renumbered.

Important:

If you use a data dictionary, do not use Renumber for fields with global IDs. If you do, you will lose your global IDs.

To renumber selected data fields

1. Select the data fields that you want to renumber as follows:

- Hold down.

- Click on the fields you want to include. Usually, it is easiest to do this on the form page. If you want them renumbered in a specific order, select them in that order.

2. Right-click anywhere in the selection box. The context menu will appear:

3. Click on Renumber. The Renumber dialog will appear:

4. Enter the number you want to begin numbering with in the Data ID text box.

5. Select one of the Type options:

Type | Description
Selection | To renumber the data fields in the order they were selected.
Horizontal | To renumber the selected data fields from left to right.
Vertical | To renumber the selected data fields from top to bottom.

6. Click to close the Renumber dialog and renumber the data fields.

Hint:

To make it easier to select data fields, you may want to deactivate the other objects on the page (e.g., text boxes, lines, rectangles, etc.).

To renumber all fields on a page

1. Do the following to select the fields:

- Click on the DataView tab.

- Right-click on the form name and select Sort by Page from the context menu.

- Right-click on Data Fields under the page you want to renumber and click on Select all child items. This will select all items under the data field node:

2. Right-click on any selected object in the tree to display the context menu:

3. Click on Renumber. The Renumber dialog will appear.

4. Enter the number you want to begin numbering with in the Data ID text box.

5. Select one of the Type options:

Type | Description
Selection | To renumber the data fields in the order they appear in the tree.
Horizontal | To renumber the data fields from left to right on the page.
Vertical | To renumber the data fields from top to bottom on the page.

6. Click to close the Renumber dialog and renumber the data fields.

To renumber all fields on the form

1. Do the following to select the fields:

- Click on the DataView tab.

- Right-click on the form name and select Sort by Data ID from the context menu.

- Right-click on Data Fields and select Select all child items:

2. Right-click on any selected object in the tree to display the context menu.

3. Click on Renumber. The Renumber dialog will appear.

4. Enter the number you want to start with in the Data ID text box.

5. Select one of the Type options:

Type | Description
Selection | To renumber the data fields in the order they appear in the tree.
Horizontal | To renumber the data fields from left to right on each page, starting with page 1.
Vertical | To renumber the data fields from top to bottom on each page, starting with page 1.

6. Click to close the Renumber dialog and renumber the data fields.